<?php
// Variables attendues du contrôleur: $perimeters, $translations, $currentLang, $darkModeClass, $errorMessage
require_once APP_ROOT_DIR . '/src/Views/shared/header.php';
?>

    <div class="container">
        <h1><?= htmlspecialchars($translations['new_certificate_heading']) ?></h1>
        <a href="/certificates" class="button secondary-button"><?= htmlspecialchars($translations['back_to_cert_list']) ?></a>

        <?php if (isset($errorMessage)): ?>
            <p class="error-message"><?= htmlspecialchars($errorMessage); ?></p>
        <?php endif; ?>

        <form action="/certificates/create" method="post">
            <label for="subdomain_name"><?= htmlspecialchars($translations['subdomain_name']) ?>:</label><br>
            <input type="text" id="subdomain_name" name="subdomain_name" required placeholder="ex: www, api, mail"><br><br>

            <label for="functional_perimeter_id"><?= htmlspecialchars($translations['select_perimeter']) ?>:</label><br>
            <select id="functional_perimeter_id" name="functional_perimeter_id" required>
                <option value="">-- <?= htmlspecialchars($translations['select_perimeter_placeholder']) ?> --</option>
                <?php foreach ($perimeters as $perimeter): ?>
                    <option value="<?= htmlspecialchars($perimeter['id']) ?>"><?= htmlspecialchars($perimeter['name']) ?></option>
                <?php endforeach; ?>
            </select><br><br>

            <button type="submit" class="button primary-button"><?= htmlspecialchars($translations['create_certificate']) ?></button>
        </form>
    </div>

<?php
require_once APP_ROOT_DIR . '/src/Views/shared/footer.php';
?>
