<?php

// Chemin racine de l'application pour les chemins relatifs
define('APP_ROOT_DIR', __DIR__ . '/../..');

// Configuration de la base de données
// Ces valeurs sont aussi définies dans docker-compose.yml pour le conteneur MySQL
define('DB_HOST', getenv('DB_HOST') ?: 'mysql');
define('DB_NAME', getenv('DB_NAME') ?: 'cert_gestion');
define('DB_USER', getenv('DB_USER') ?: 'user');
define('DB_PASSWORD', getenv('DB_PASSWORD') ?: 'password_secret'); // À CHANGER ABSOLUMENT EN PRODUCTION !

// Configuration générale de l'application
define('APP_NAME', 'Gestion Certificat');
define('APP_ENV', 'development'); // 'production' ou 'development'

// Chemins des dossiers des certificats et scripts OpenSSL dans le conteneur PHP-FPM
define('ROOT_CA_PATH', '/opt/tls/root');
define('INTERMEDIATE_CA_PATH_BASE', '/opt/tls/intermediate'); // Base pour les CA intermédiaires par périmètre
define('SCRIPTS_PATH', '/opt/scripts');

// Chemin du fichier de log principal de l'application PHP
define('APP_LOG_PATH', '/var/log/app/app.log');

// Liste des langues supportées par l'application
define('SUPPORTED_LANGUAGES', ['fr', 'en', 'de', 'it', 'pt', 'es', 'ja', 'ru', 'ar', 'hi', 'zh']);

// Clé secrète pour la sécurité des sessions (TRÈS IMPORTANT !)
// Générez une chaîne longue et aléatoire pour la production
define('SESSION_SECRET', 'SuperStrongRandomSessionKeyForProduction_ChangeMe_1234567890ABCDEF');

// URL de base pour le service OCSP (doit correspondre à la configuration Nginx et des certificats)
define('OCSP_URL', 'http://ocsp.cert-gestion.local/'); // À adapter à votre domaine réel
